- Qt 6.9
- Qt Multimedia
- C++ Classes
- QtMultimedia
- QMediaRecorder
- Qt 6.9.3 Reference Documentation

# Obsolete Members for QMediaRecorder

The following members of class QMediaRecorder are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(deprecated in 6.9)` void | encoderSettingsChanged()

## Member Function Documentation

### `[signal, deprecated in 6.9]` void QMediaRecorder::encoderSettingsChanged()

This function is deprecated since 6.9. We strongly advise against using it in new code.

Use specific signals instead.

Signals when the encoder settings change.